<?php 
if(strlen(session_id()) < 1)
session_start();
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once('../modelos/Transferencia.php');

$transferencia=new Transferencia();

$idmovimiento=isset($_POST["idmovimiento"])? limpiarCadena($_POST["idmovimiento"]):"";
$idusuario=$_SESSION["idusuario"];
$fecha_hora=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$idalmacen1=isset($_POST["idalmacen1"])? limpiarCadena($_POST["idalmacen1"]):"";
$idalmacen2=isset($_POST["idalmacen2"])? limpiarCadena($_POST["idalmacen2"]):"";
$observaciones=isset($_POST["observaciones"])? limpiarCadena($_POST["observaciones"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
      if(empty($idmovimiento))
      {
        $rspta=$transferencia->insertar($idusuario,$fecha_hora,$idalmacen1,$idalmacen2,$observaciones,$_POST["idarticulo"],$_POST["codigo"],$_POST["marca"],$_POST["cantidad"],$_POST["mac"],$_POST["serie"],$_POST["unidadmedida"],$_POST["precio_compra"],$_POST["nrofactura"],$_POST["idprovedor"],$_POST["garantia"],$_POST["estadomaterial"],$_POST["precio_venta"], $_POST["iddetalle_ingreso"]);
        echo $rspta ? "Transferencia Registrado" : "Transferencia no se pudo registrar";
      }
      else {
          //$rspta=$transferencia->editar($idingreso,$idproveedor,$tipo_comprobante,$serie_comprobante,$numero_comprobante,$fecha_hora);
          //echo $rspta ? "Compra Actualizada" : "Compra no se pudo actualizar";
      }
    break;

    case 'mostrardetalle':
        $idmovimiento = isset($_GET['id']) ? intval($_GET['id']) : 0;
        $rspta = $transferencia->mostrardetalle($idmovimiento);
        echo json_encode($rspta);
    break;


    case 'eliminar':
      $rspta=$transferencia->eliminar($idtransferencia);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'listar':
      $rspta=$transferencia->listar();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
          $estado = ($reg->estado == 1) 
          ? '<button class="btn btn-success btn-xs btn-flat">Registrado</button>' 
          : '<button class="btn btn-danger btn-xs btn-flat">Editado</button>';

          $link="../../reportes/listartransferencia.php?id=";

        $data[]=array(
          "0"=>$reg->fecha_movimiento,
          "1"=>$reg->almacen_origen,
          "2"=>$reg->almacen_destino,
          "3"=>$reg->observaciones,
          "4"=>$estado,
          "5"=>'<button class="btn btn-warning  btn-xs btn-flat open-AddImgDialog" onclick="mostrardetalle(' . $reg->idmovimiento . ')" data-toggle="modal" data-target="#modalProducto" ><i class="fa fa-folder-open"></i></button>'.
            ' <a target="_blank" href='.$link.$reg->idmovimiento.'> <button class="btn btn-danger btn-xs btn-flat"><i class="fa fa-file-excel"></i></button> </a>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;


    case 'listarproducto':
        $idalmacen=$_REQUEST["idalmacen"];
      $rspta=$transferencia->listarproducto($idalmacen);
      $data= Array();
      while ($reg=$rspta->fetch_object()){
      if($reg->estadomaterial==1){

        $mat='<button class="btn btn-success btn-xs btn-flat">Nuevo</button>';
        }else if($reg->estadomaterial==2){
        $mat='<button class="btn btn-danger btn-xs btn-flat">Usado</button>';
        }else if($reg->estadomaterial==3){
        $mat='<button class="btn btn-primary btn-xs btn-flat">Reparado</button>';
        }else if($reg->estadomaterial==4){
        $mat='<button class="btn btn-danger btn-xs btn-flat">Malogrado</button>';
        }
        $st='<button class="btn btn-success btn-xs btn-flat">'.$reg->stock.'</button>';
        $data[]=array(
          "0"=>$reg->nombre,
          "1"=>$reg->codigo,
          "2"=>$reg->marca,        
          "3"=>$reg->mac,
          "4"=>$reg->serie,
          "5"=>number_format($reg->precio_venta,2),
          "6"=>$mat,
          "7"=>$st,
          "8"=>'<button class="btn btn-warning btn-xs btn-flat" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->marca.'\',\''.$reg->mac.'\',\''.$reg->serie.'\','.$reg->precio_compra.',\''.$reg->codigo.'\',\''.$reg->unidad_medida.'\',\''.$reg->nrofactura.'\','.$reg->idprovedor.',\''.$reg->garantia.'\',\''.$reg->estadomaterial.'\','.$reg->precio_venta.','. $reg->iddetalle_ingreso .','.$reg->stock.', this)" data-id="'.$reg->idarticulo.'"><span class="fa fa-plus"></span></button>'
          
          // "6"=>"<img src='../files/articulos/".$reg->imagen."' height='50px' width='50px' >"
          );
      }
      $results = array(
        "sEcho"=>1, //Información para el datatables
        "iTotalRecords"=>count($data), //enviamos el total registros al datatable
        "iTotalDisplayRecords"=>count($data), //enviamos el total registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);
     break;

    

    
}
?>